/* .dynamic-add-2-cart-widget {
    position: absolute;
    margin: 0 !important;
   
    bottom:0px;
    right: 10px;
    z-index: 9999;
} */

.dynamic-add-2-cart-widget {
    position: relative;
    margin: 0 !important;
    padding:10px;
}


.icon-btn {
    width: 32px;
    height: 32px;
    border: 1px solid #006c26 !important;
    background: #fff !important;
    border-radius: 9px !important;
    overflow: hidden !important;
    position: relative;
    transition: width 0.2s ease-in-out !important;
    background: #FFF !important
}

.add-btn::before,
.add-btn::after {
    transition: width 0.2s ease-in-out, border-radius 0.2s ease-in-out;
    content: "";
    position: absolute;
    height: 3px;
    width: 10px;
    top: calc(50% - 2px);
    background: #006c26;
}

.add-btn::after {
    right: 14px;
    overflow: hidden;
    border-top-right-radius: 2px;
    border-bottom-right-radius: 2px;
}

.add-btn::before {
    left: 14px;
    border-top-left-radius: 2px;
    border-bottom-left-radius: 2px;
}

.product-item-info:hover .add-btn::before {
    left: 12px;
}

input.qty-1 {
    text-align: center;
    color: #000 !important;
    opacity: 1 !important;
}

.icon-btn:focus {
    outline: none;
}

.btn-txt {
    opacity: 0;
    transition: opacity 0.2s;
}

.add-icon::after,
.add-icon::before {
    transition: all 0.2s ease-in-out;
    content: "";
    position: absolute;
    height: 20px;
    width: 2px;
    top: calc(50% - 10px);
    background: #006c26;
    overflow: hidden;
}

.add-icon::before {
    left: 14px;
    border-top-left-radius: 2px;
    border-bottom-left-radius: 2px;
}

.loading-mask {
    z-index: 1 !important;
}

.product-item-info:hover .add-icon::before {
    left: 15px;
    border-top-left-radius: 2px;
    border-bottom-left-radius: 2px;
}

.product-item-info:hover .add-btn::after {
    right: 13px;
    overflow: hidden;
    border-top-right-radius: 2px;
    border-bottom-right-radius: 2px;
}

.product-item-info:hover .add-btn::before,
.product-item-info:hover .add-btn::after {
    transition: width 0.2s ease-in-out, border-radius 0.2s ease-in-out;
    content: "";
    position: absolute;
    height: 4px;
    width: 14px;
    top: calc(50% - 2px);
    background: #006c26;
}

.add-to-cart-kitchen button.action.tocart.primary::after {
    content: '+';
    font-size: 24px;
    padding: 0px !important;
    margin-top: 20px !important;
    color: #006c26 !important;
}

.add-btn.active::before,
.add-btn:hover::before,
.add-btn.active::after,
.add-btn:hover::after {
    width: 4px;
    border-radius: 2px;
    display: none;
    
}

.add-qty-1,.reduce-qty-1{
    background: #006c26 !important;
    color:#FFF;
    border:none !important;
}

.add-btn:hover .btn-txt,
.add-btn.active .btn-txt {
    opacity: 1;
}

.add-icon::after {
    right: 14px;
    border-top-right-radius: 2px;
    border-bottom-right-radius: 2px;
}

.add-btn:hover .add-icon::before,
.add-btn.active .add-icon::before {
    display: none;
    left: 15px;
    height: 4px;
    top: calc(50% - 2px);
}

.add-btn.active .add-icon::after,
.add-btn:hover .add-icon::after {
    display: none;
    right: 15px;
    height: 4px;
    top: calc(50% - 2px);
}

.control-1.qty-change-1 {
    display: flex;
}

.add-btn:hover,
.add-btn.active {
        width: 100%;
}

.products-grid .swatch-attribute.size .swatch-option {
    border-radius: 25px !important;
    -moz-border-radius: 25px !important;
    -webkit-border-radius: 25px !important;
    width: 50px !important;
    height: 25px !important;
    min-width: 25px !important;
    margin: 3px !important;
}

.products-grid .product-item .product-item-info {
    min-height: 375px;
}

.add-to-cart-kitchen .qty-1 button {
    background: #006c26 !important;
    color: #FFF;
    font-size: 26px;
    border: 0 !important;
    padding: 3px 12px 4px 12px;
}

.add-to-cart-kitchen .qty-1 input {
    background: #FFF;
    text-align: center;
}

.products-grid .product-item .product-item-info:hover,
.products-grid .product-item .product-item-info.active {
    -webkit-box-shadow: 0px 5px 30px 0px rgb(0 0 0 / 5%) !important;
    -moz-box-shadow: 0px 5px 30px 0px rgba(0, 0, 0, 0.05) !important;
    box-shadow: 0px 5px 30px 0px rgb(0 0 0 / 5%) !important;
    border: 0px solid #ccc !important;
    position: relative;
}

.column.main .products-grid .product-item .action.towishlist span {
    display: none;
}
.add-to-cart-loading {
    width: 100% !important;
    text-align: center !important;
}
.add-to-cart-loading img {
    width: 12px !important;
    display: inline-block !important;
}

.add2cartfinal{
    width: 100%;
   background-color: #006c26 !important;
    border:thin solid #006c26 !important;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px !important;
    border-radius: 6px !important;
    text-align:center;
}

.minicart-wrapper.quickcart-wrapper{
    z-index: 100000;

}

.header .quickcart-wrapper .block-quickcart .block-content-quickcart .quickcart-items-wrapper .quickcart-items .quickcart-product-item .product-item-details .action.delete{
    z-index:2;
}

.modal-popup.confirm .modal-content{
    padding: 30px;
}

.product-image-photo{
    position: relative;
}
#amasty-shopby-product-list .product-image-wrapper {
    display: block;
    height: 252px !important;
    overflow: hidden;
    position: relative;
    z-index: 1;
    padding: 0 !important;
}
li.item.product.product-item {
    height: fit-content !important;
}

.msg.alert {
    margin-top: 4px;
}


.product-image-photo.lazy{
    max-height: 100% !important;
}

.checkout-cart-index .product-image-photo{
    position: absolute;
}


/* added by AKP for telephone country code design fix on checkout */
:root body.onestepcheckout-index-index .page-wrapper .page-main .checkout-container .onestep-shipping-address:not(:has(.iti__country-list.iti__hide)) {
    position: relative;
    z-index: 1;
}
:root body.onestepcheckout-index-index .page-wrapper .page-main .checkout-container .onestep-Billing-address:not(:has(.iti__country-list.iti__hide)) {
    position: relative;
    z-index: 1;
}
:root body.onestepcheckout-index-index .page-wrapper .page-main .checkout-container .aw-onestep-main .field.field-phone:not(:has(.iti__country-list.iti__hide)) {
    position: relative;
    z-index: 1;
}
.onestepcheckout-index-index .page-main .checkout-container .field-phone:has(.iti__country-list) .input-text {
    padding-left: 4rem;
}
.onestepcheckout-index-index .page-main .checkout-container .field-phone.fl-placeholder-state:has(.iti__country-list) .label {
    z-index: 2;
    background: #FFF;
}
.onestepcheckout-index-index .page-main .checkout-container .onestep-billing-address .field-phone.fl-placeholder-state:has(.iti__country-list) .label {
        background: #e9edf6;
}

body.onestepcheckout-index-index .page-wrapper .page-main .checkout-container .onestep-shipping-address:not(:has(.iti__country-list.iti__hide)) .control .label {
    z-index: 0;
}
 
.onestepcheckout-index-index .page-main .checkout-container .payment-methods .onestep-billing-address:not(:has(.iti__country-list.iti__hide)) .control .label {
    z-index: 0;
}
/* end */